
Extended Fields - Bug #2350

Extended Field Values that are nil produce an error

14 Nov 2014 03:38 - Ivo Steinmann

Status: Under Verification Start date: 14 Nov 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.2.4   

Redmine version:  External issue: #18346

Description

If an extended field is not used by a tracker but is enabled in the issue overview, then an error is produced because the value of that

field is nil

I appended a possible patch as file

History

#1 - 26 Nov 2014 10:49 - Antonio Muñiz

I can confirm the issue in Redmine 2.5.1-stable

This path solved it.

#2 - 28 Nov 2014 12:37 - Alexander Kuznecov

Ivo, thanks for patch!

I have faced with same issue - got problem on custom queries with displayed columns that had nil value

Works for me on 2.6.0

For all people faced same problem - patch provided by Ivo is for code from SVN, not from download link

#3 - 15 Dec 2014 08:01 - Andriy Lesyuk

- Status changed from New to Under Verification

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.4

#4 - 16 Dec 2014 12:28 - Andriy Lesyuk

- External issue set to #18346

Files

issue.patch 658 Bytes 14 Nov 2014 Ivo Steinmann
